Enrichment Tables / REST API
Export table csv
Export an enrichment table as a CSV download URL.
GET /api/mcp/enrichment/tables/{tableId}/export-csvDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
tableIdRequired · string- See the input schema for this field.
curl -X GET "https://app.pipeline.help/api/mcp/enrichment/tables/00000000-0000-4000-8000-000000000000/export-csv" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"tableId": {
"type": "string"
}
},
"required": [
"tableId"
]
}